#
# spec file for package perl-File-Listing
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name File-Listing
Name:           perl-File-Listing
Version:        6.160.0
Release:        2.5
%define cpan_version 6.16
Provides:       perl(File::Listing) = 6.160.0
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Parse directory listing
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(HTTP::Date)
%undefine       __perllib_provides
%{perl_requires}

%description
This module exports a single function called 'parse_dir', which can be used
to parse directory listings.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes Changes.original README
%license LICENSE

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Thu Jul 13 2023 Tina Müller <timueller+perl@suse.de>
- updated to 6.16
  see /usr/share/doc/packages/perl-File-Listing/Changes
  6.16      2023-07-12 15:22:25 -0600
  - Support dosftp listings with four-digit years (gh#3, gh#26)
* Mon Apr 18 2022 Tina Müller <timueller+perl@suse.de>
- updated to 6.15
  see /usr/share/doc/packages/perl-File-Listing/Changes
  6.15      2022-04-17 04:09:58 -0600
  - Main git repository has now been detached from the original
    repository (originally it was a fork).  The old repository
    can be found at https://github.com/gisle/file-listing
  - Adjust test suite to handle systems that cannot handle
    year 2038+ dates (gh#24)
* Tue Dec  1 2020 Tina Müller <timueller+perl@suse.de>
- updated to 6.14
  see /usr/share/doc/packages/perl-File-Listing/Changes
  6.14      2020-11-30 05:48:07 -0700
  - Production version identical to 6.12_01
  6.12_01   2020-11-27 16:13:15 -0700
  - Handle default apache indexes (gh#20)
  - Ignore certain known navigation links in apache indexes (gh#20)
  - Support Win32 OpenSSH listing (gh#21 simon04++)
* Wed Oct  7 2020 Tina Müller <timueller+perl@suse.de>
- updated to 6.11
  see /usr/share/doc/packages/perl-File-Listing/Changes
  6.11      2020-10-06 03:00:45 -0600
  - Remove accidental recursive req on LWP::Simple
* Tue Oct  6 2020 Tina Müller <timueller+perl@suse.de>
- updated to 6.10
  see /usr/share/doc/packages/perl-File-Listing/Changes
  6.10      2020-10-05 15:18:30 -0600
  - Production version identical to 6.09_01
  6.09_01   2020-10-05 08:17:32 -0600
  - Remove TABs from source files and tests (gh#17)
  - Restores (theoretical, untested) support for 5.6, which was removed when
    the tests added modern file tests (gh#17)
  - Fixes or silences several minor nits reported by PerlCritic (gh#17)
  6.08_01 2020-10-01 17:28:35 -0600
  - We now only call Time::Local::timelocal with four digit years (gh#5, gh#14)
* Sun Oct  4 2020 Tina Müller <timueller+perl@suse.de>
- updated to 6.07
  see /usr/share/doc/packages/perl-File-Listing/Changes
* Thu Feb 16 2012 coolo@suse.com
- updated to 6.04
    Minor mistake in module description
    Test parsing of dosftp listings
    This modulue works with 5.6.2
* Mon Dec 19 2011 coolo@suse.de
- update to 6.03
    Minor mistake in module description
    Fixes to the parsing of 'ls -l' file modes [RT#71054]
* Thu Mar 31 2011 coolo@novell.com
- update to 6.02
  Avoid running live test.  Embed the expected test data in the test file.
  Update the test data inline by invoking 'perl t/apache.t --update'.
* Mon Mar 14 2011 vcizek@novell.com
- initial package 6.01
  * created by cpanspec 1.78.03
